extrusion(6)

NAME
extrusion - various rotating extruded shapes.

SYNOPSIS
extrusion [-display host:display.screen] [-visual visual] [-window] [-root] [-delay number] [-name which] [-no-light] [-wireframe] [-fps]

DESCRIPTION
Draws various rotating extruded shapes that twist around, lengthen, and turn inside out.

OPTIONS

-visual visual
    Specify which visual to use. Legal values are the name of a visual class, or the id number (decimal or hex) of a specific visual.

-window
    Draw on a newly-created window. This is the default.

-root
    Draw on the root window.

-delay number
    Per-frame delay, in microseconds. Default: 10000 (0.01 seconds.).

-name which
    Which object to draw. Choices are: helix2, helix3, helix4, joinoffset, screw, taper, and twistoid.

-light | -no-light
    Whether to light the scene, or use flat coloring.

-bitmap file
    The texture map to use.

-wireframe
    Render in wireframe instead of solid.

-fps
    Display the current frame rate, CPU load, and polygon count.

ENVIRONMENT

DISPLAY
    to get the default host and display number.

XENVIRONMENT
    to get the name of a resource file that overrides the global resources stored in the RESOURCE_MANAGER property.

SEE ALSO
X(1), xscreensaver(1)

COPYRIGHT
Copyright © 2002 by Linas Vepstas and David Konerding. Permission to use, copy, modify, distribute, and sell this software and its documentation for any purpose is hereby granted without fee, provided that the above copyright notice appear in all copies and that both that copyright notice and this permission notice appear in supporting documentation. No representations are made about the suitability of this software for any purpose. It is provided "as is" without express or implied warranty.

AUTHOR
This screensaver was created by David Konerding from the samples that come with the GL Extrusion library by Linas Vepstas.